[-]
[+]
|
Added |
sysconfig.changes
|
|
[-]
[+]
|
Changed |
sysconfig.spec
^
|
|
[-]
[+]
|
Added |
sysconfig-bonding-slave-resolve.bnc429858.diff
^
|
@@ -0,0 +1,13 @@
+Index: scripts/functions
+===================================================================
+--- scripts/functions (Revision 1808)
++++ scripts/functions (Arbeitskopie)
+@@ -651,7 +651,7 @@
+ if [ $? = 0 -a ${#slaves[@]} -gt 0 ] ; then
+ ret=0
+ _resolve_iface_startorder \
+- "${slaves[@]}" \
++ "${slaves[*]}" \
+ "${skip}" \
+ "${func}" \
+ "${guard} $iface" \
|
[-]
[+]
|
Added |
sysconfig-do-not-create-ntp-dir.bnc443326.diff
^
|
@@ -0,0 +1,41 @@
+Index: scripts/ifup-dhcp
+===================================================================
+--- scripts/ifup-dhcp (Revision 1808)
++++ scripts/ifup-dhcp (Arbeitskopie)
+@@ -375,12 +375,6 @@
+
+ case "$ACTION" in
+ start|renew)
+- # Create the ntp runtime cache dir before the dhcp client is started.
+- # Netconfig writes the /var/run/ntp/servers-netconfig file containing
+- # the ntp server list that is picked up by the ntp init script to apply
+- # the ntp servers at runtime to the ntpd.
+- test -d "/var/run/ntp" || mkdir -p "/var/run/ntp"
+-
+ # if we were called at boot time, increase the time startproc waits,
+ # because the next scripts might rely on a configured network
+ # test "$MODE" = "boot" && STARTPROC_TIMEOUT=5
+Index: scripts/netconfig.d/ntp-runtime
+===================================================================
+--- scripts/netconfig.d/ntp-runtime (Revision 1808)
++++ scripts/netconfig.d/ntp-runtime (Arbeitskopie)
+@@ -54,13 +54,16 @@
+
+ debug "write_ntp_servers: $1"
+
++ # make sure that the directory exists
++ test -d "${DESTFILE%/*}" || {
++ debug "no ${DESTFILE%/*} directory - skipping"
++ return 1
++ }
++
+ local SERVERS
+
+ TMP_FILE=`mktemp "$r/tmp/ntp-servers-netconfig.XXXXXX"` || return 1
+
+- # make sure that the directory exists
+- mkdir -p "${DESTFILE%/*}"
+-
+ if test ! -s "$DESTFILE" ; then
+ touch "$DESTFILE" ; chmod 644 "$DESTFILE"
+ fi
|
[-]
[+]
|
Added |
sysconfig-hwcfg2rules-handle-hsi.bnc440570.diff
^
|
@@ -0,0 +1,71 @@
+Index: sysconfig-0.71.11/scripts/hardware/hwcfg2rules
+===================================================================
+--- sysconfig-0.71.11.orig/scripts/hardware/hwcfg2rules
++++ sysconfig-0.71.11/scripts/hardware/hwcfg2rules
+@@ -62,7 +62,7 @@ write_iucv_rules () {
+
+ echo "# Rules converted from $cfgname" > $file
+ cat >> $file <<EOF
+-ACTION=="add", SUBSYSTEM=="bus", KERNEL=="iucv", RUN+="modprobe netiucv"
++ACTION=="add", SUBSYSTEM=="subsystem", KERNEL=="iucv", RUN+="modprobe netiucv"
+ ACTION=="add", SUBSYSTEM=="drivers", KERNEL=="netiucv", ATTR{connection}="$id"
+ EOF
+ }
+@@ -99,24 +99,24 @@ EOF
+ }
+
+ write_qeth_rules () {
+- local file=$UDEVDIR/$RULE-$type-${busid}.rules
++ local file=$UDEVDIR/$RULE-$ccwtype-${busid}.rules
+ local attr
+
+ echo "# Rules converted from $cfgname" > $file
+ cat >> $file <<EOF
+-ACTION=="add", SUBSYSTEM=="drivers", KERNEL=="$ccwtype", IMPORT{program}="collect $busid %k $CCW_CHAN_IDS $ccwtype"
++ACTION=="add", SUBSYSTEM=="drivers", KERNEL=="$type", IMPORT{program}="collect $busid %k $CCW_CHAN_IDS $type"
+ EOF
+ for chan in $CCW_CHAN_IDS ; do
+ cat >> $file <<EOF
+ ACTION=="add", SUBSYSTEM=="$bus", KERNEL=="$chan", RUN+="/sbin/modprobe --quiet $MODULE"
+-ACTION=="add", SUBSYSTEM=="$bus", KERNEL=="$chan", IMPORT{program}="collect $busid %k $CCW_CHAN_IDS $ccwtype"
++ACTION=="add", SUBSYSTEM=="$bus", KERNEL=="$chan", IMPORT{program}="collect $busid %k $CCW_CHAN_IDS $type"
+ EOF
+ done
+ attr=$(echo $CCW_CHAN_IDS | sed 's/ /,/g')
+ cat >> $file <<EOF
+-TEST=="[ccwgroup/$busid]", GOTO="$type-${busid}_end"
++TEST=="[ccwgroup/$busid]", GOTO="$ccwtype-${busid}_end"
+ ACTION=="add", SUBSYSTEM=="$bus", ENV{COLLECT_$busid}=="0", ATTR{[drivers/ccwgroup:$type]group}="$attr"
+-ACTION=="add", SUBSYSTEM=="drivers", KERNEL=="$ccwtype", ENV{COLLECT_$busid}=="0", ATTR{[drivers/ccwgroup:$type]group}="$attr"
++ACTION=="add", SUBSYSTEM=="drivers", KERNEL=="$type", ENV{COLLECT_$busid}=="0", ATTR{[drivers/ccwgroup:$type]group}="$attr"
+ EOF
+ if [ "$CCW_CHAN_MODE" ] ; then
+ cat >> $file <<EOF
+@@ -159,7 +159,7 @@ EOF
+ esac
+ done
+ cat >> $file <<EOF
+-LABEL="$type-${busid}_end"
++LABEL="$ccwtype-${busid}_end"
+ ACTION=="add", SUBSYSTEM=="ccwgroup", KERNEL=="$busid", ATTR{online}="1"
+ EOF
+ }
+@@ -254,11 +254,16 @@ if [ "$bus" = "ccw" ] ; then
+ subtype="lcs"
+ CCW_CHAN_NUM=2
+ ;;
+- 1731/01|1731/05|1731/06)
+- # OSA/Express or Guest LAN
++ 1731/01|1731/06)
++ # OSA/Express
+ ccwtype="qeth"
+ CCW_CHAN_NUM=3
+ ;;
++ 1731/05)
++ # Hipersockets
++ ccwtype="hsi"
++ CCW_CHAN_NUM=3
++ ;;
+ 1731/03)
+ # zFCP adapter
+ if [ "$_dev_type" == "1732/03" -o "$_dev_type" == "1732/04" ]; then
|
[-]
[+]
|
Deleted |
sysconfig-hwup-fixup-hwdown-zfcp.210968.patch
^
|
@@ -1,107 +0,0 @@
---- sysconfig-0.50.9/scripts/hardware/hwdown-zfcp.orig 2007-01-16 12:52:57.757361600 +0100
-+++ sysconfig-0.50.9/scripts/hardware/hwdown-zfcp 2007-01-16 12:53:06.996105550 +0100
-@@ -38,54 +38,32 @@ fi
- _zfcp_dir=${HWD_DEVICEPATH}
-
- # Find corresponding fcp wwpn:lun
--scsi_id=${_zfcp_dir##*/}
--saved_IFS="$IFS"
--IFS=":"
--set -- $scsi_id
--scsi_host_num=$1
--scsi_target_num=$3
--scsi_lun_num=$4
--IFS="$saved_IFS"
--
--path=`echo $_zfcp_dir | sed "s@/host[0-9]\{1,\}/.*@@"`
--
--# Find the fcp port corresponding to the scsi target
--for tmp_wwpn in ${path}/0x*; do
-- if [ -d $tmp_wwpn ]; then
-- read tmp_target_num < $tmp_wwpn/scsi_id
-- if (($tmp_target_num == $scsi_target_num)); then
-- wwpn=${tmp_wwpn##*/}
-- break;
-- fi
-- fi
--done
-+if [ -d ${_zfcp_dir} ] ; then
-+ read _zfcp_lun < ${_zfcp_dir}/fcp_lun
-+fi
-+path=${_zfcp_dir%%/host*}
-+_rport_dir=${_zfcp_dir%%/target*}
-+_rport_num=${_rport_dir##*/}
-+if [ -d ${_rport_dir}/fc_remote_ports:${_rport_num} ] ; then
-+ read _zfcp_wwpn < ${_rport_dir}/fc_remote_ports:${_rport_num}/port_name
-+fi
-
--if [ "$wwpn" ]; then
-+if [ "$_zfcp_wwpn" -a "$_zfcp_lun" ]; then
- # Find the fcp lun corresponding to the scsi lun
-- for tmp_lun in ${path}/$wwpn/0x*; do
-- if [ -d $tmp_lun ]; then
-- read tmp_lun_num < $tmp_lun/scsi_lun
-- if (($tmp_lun_num == $scsi_lun_num)); then
-- lun=${tmp_lun##*/}
-- break;
-- fi
-- fi
-- done
-- # Remove if found
-- if [ "$lun" ]; then
-- message "Removing fcp unit $wwpn:$lun"
-- echo "$lun" > ${path}/$wwpn/unit_remove
-+ if [ -d "${path}/${_zfcp_wwpn}/${_zfcp_lun}" ] ; then
-+ message "Removing fcp unit $_zfcp_wwpn:$_zfcp_lun"
-+ echo $_zfcp_lun > ${path}/${_zfcp_wwpn}/unit_remove
- fi
- # Recheck if the port still has luns open
- num_luns=0
-- for tmp_lun in ${path}/$wwpn/0x*; do
-+ for tmp_lun in ${path}/${_zfcp_wwpn}/0x*; do
- if [ -d $tmp_lun ]; then
- num_luns=$(expr $num_luns + 1)
- fi
- done
- if (($num_luns == 0)); then
- # No, remove the fcp port
-- echo "$wwpn" > ${path}/port_remove
-+ echo "$_zfcp_wwpn" > ${path}/port_remove
- message "Removing fcp port $wwpn"
- fi
- fi
---- sysconfig-0.50.9/scripts/hardware/hwdown-scsi.orig 2007-01-16 12:54:05.619135346 +0100
-+++ sysconfig-0.50.9/scripts/hardware/hwdown-scsi 2007-01-16 12:54:17.397533964 +0100
-@@ -38,18 +38,23 @@ fi
- # Set sysfs paths
- _zfcp_dir=${HWD_DEVICEPATH}
-
--# Delete all SCSI Ids
--read _scsi_host_no < ${_zfcp_dir}/scsi_host_no
--
--num_ids=0
--for id in ${_zfcp_dir}/host$((_scsi_host_no))/*; do
-- if [ -d $id ]; then
-- echo "0" > ${id}/online
-- echo "1" > ${id}/delete
-- num_ids=$(expr $num_ids + 1)
-+# Remove all SCSI devices
-+for host_dir in ${_zfcp_dir}/host*; do
-+ if [ -d $host_dir ] ; then
-+ host_num=${host_dir##*/host}
- fi
- done
-
-+num_ids=0
-+if [ "$host_num" ] ; then
-+ for id in ${_zfcp_dir}/host${host_num}/rport-*/target${host_num}:*:*/${host_num}:*:*:* ; do
-+ if [ -d $id ]; then
-+ echo "1" > ${id}/delete
-+ num_ids=$(expr $num_ids + 1)
-+ fi
-+ done
-+fi
-+
- # If no SCSI IDs has been found, no hotplug
- # events have been generated either. So we need
- # to deconfigure the adapter by hand.
|
[-]
[+]
|
Deleted |
sysconfig-hwup-update-dev_loss_tmo-setting.220556.patch
^
|
@@ -1,15 +0,0 @@
---- sysconfig-0.50.9/scripts/hardware/hwup-zfcp.orig 2005-12-15 11:02:20.000000000 +0100
-+++ sysconfig-0.50.9/scripts/hardware/hwup-zfcp 2007-01-16 12:51:53.370115183 +0100
-@@ -73,4 +73,12 @@ for _zfcp_dev in $ZFCP_LUNS; do
- fi
- done
-
-+# Correct the dev_loss_tmo setting
-+for rport in ${_zfcp_dir}/host*/rport-*:*-* ; do
-+ if [ -d $rport ] ; then
-+ p=${rport##*/}
-+ echo 30 > ${rport}/fc_remote_ports:${p}/dev_loss_tmo
-+ fi
-+done
-+
- # EOF
|
[-]
[+]
|
Added |
sysconfig-ifup-dhcp-dhcpcd-lastlease.bnc447237.diff
^
|
@@ -0,0 +1,70 @@
+--- config/sysconfig.config-network
++++ config/sysconfig.config-network 2008/12/02 17:00:10
+@@ -127,13 +127,13 @@
+ MANDATORY_DEVICES=""
+
+ ## Type: integer
+-## Default: 20
++## Default: 30
+ #
+ # Some interfaces need some time to come up or come asynchronously via hotplug.
+ # WAIT_FOR_INTERFACES is a global wait for all mandatory interfaces in
+ # seconds. If empty no wait occurs.
+ #
+-WAIT_FOR_INTERFACES="20"
++WAIT_FOR_INTERFACES="30"
+
+ ## Type: yesno
+ ## Default: yes
+--- config/sysconfig.dhcp-network
++++ config/sysconfig.dhcp-network 2008/12/02 17:03:34
+@@ -76,19 +76,31 @@
+ #
+ DHCLIENT_LEASE_TIME=""
+
++## Type: yesno
++## Default: yes
++#
++# dhcpcd -E/--lastlease option
++#
++# This setting controls whether dhcpcd should try to use DHCP settings
++# provided in its last lease when the dhcp-server is not reachable and
++# the lease hasn't expired yet.
++# Set this variable to "no" to disable the fallback to the last lease.
++#
++DHCLIENT_USE_LAST_LEASE=yes
++
+ ## Type: integer
+-## Default: 999999
++## Default: "0"
+ #
+-# (only dhcpcd does use this setting)
++# dhcpcd -t/--timeout option
+ #
+-# You can set the timeout (dhcpcd will terminate after this time when it
+-# does not get a reply from the server).
++# You can set the timeout - dhcpcd will terminate after this time when
++# does not get a reply from the dhcp server. The dhcpcd default timeout
++# is 20 seconds, we set it to 0 to and wait forever to get a lease.
+ #
+-# The default timeout of dhcpcd is 20 seconds. However, we'll set it to a
+-# much longer time. dhcpcd will then run as a daemon in the background and
+-# broadcast a DHCPDISCOVER once in a while, trying to get a lease.
++# Note: In the past, this setting was set to a much higher value (999999)
++# by default, because the dhcpcd < 3.2.3 didn't provided a infinite one.
+ #
+-DHCLIENT_TIMEOUT="999999"
++DHCLIENT_TIMEOUT="0"
+
+ ## Type: string
+ ## Default: AUTO
+--- scripts/ifup-dhcp
++++ scripts/ifup-dhcp 2008/12/02 17:00:10
+@@ -267,6 +267,7 @@
+ args="--netconfig -L"
+
+ #test "$AUTOIP" != "yes" && args="$args -L"
++ test "$DHCLIENT_USE_LAST_LEASE" = "yes" && args="$args -E"
+ test "$DHCLIENT_DEBUG" = "yes" && args="$args -d"
+ test "$DHCLIENT_SET_HOSTNAME" = "yes" && args="$args -HHH"
+ test "$DHCLIENT_SET_DEFAULT_ROUTE" != "yes" && args="$args -G"
|
[-]
[+]
|
Added |
sysconfig-ip-up-d-script-args-fix.bnc450772.diff
^
|
@@ -0,0 +1,29 @@
+--- scripts/ip-up
++++ scripts/ip-up 2008/12/02 15:12:16
+@@ -136,7 +136,7 @@
+ # $1 = basename
+ run_scripts()
+ {
+- name="$1"
++ name="$1" ; shift
+ [ -n "$name" ] || return
+
+ if test -x /etc/ppp/$name.local ; then
+@@ -215,7 +215,7 @@
+ fi
+
+ # run additional scripts
+- run_scripts $BASENAME
++ run_scripts $BASENAME "$@"
+
+ #run_ifup
+
+@@ -235,7 +235,7 @@
+ fi
+
+ # run additional scripts
+- run_scripts $BASENAME
++ run_scripts $BASENAME "$@"
+
+ #run_ifdown
+
|
[-]
[+]
|
Added |
sysconfig-ip-up-dns-from-provider-file.bnc449518.diff
^
|
@@ -0,0 +1,56 @@
+--- scripts/ip-up
++++ scripts/ip-up 2008/11/28 13:31:33
+@@ -52,8 +52,6 @@ parse_ipparam()
+ # pppd when the link goes down.
+ add_nameservers()
+ {
+- # TODO: do we have to consider MODIFYDNS and USEPEERDNS? test it!
+- NETCONFIG_VERBOSE="-v"
+ {
+ echo "INTERFACE='$INTERFACE'"
+ echo "IPADDR='$LOCALIP'"
+@@ -64,6 +62,8 @@ add_nameservers()
+ dnsservers=($DNS1 $DNS2)
+ elif [ "x$MS_DNS1" != x -o "x$MS_DNS2" != x ] ; then
+ dnsservers=($MS_DNS1 $MS_DNS2)
++ elif [ -f /etc/sysconfig/network/providers/"$provider" ]; then
++ dnsservers=(`. /etc/sysconfig/network/providers/"$provider"; test \$MODIFYDNS = yes && echo \$DNS1 \$DNS2`)
+ fi
+ echo "DNSSERVERS='${dnsservers[@]}'"
+ #fi
+@@ -78,7 +78,16 @@ add_nameservers()
+ }
+ restore_nameservers()
+ {
+- NETCONFIG_VERBOSE="-v"
++ # DoD. Keep assigned DNS servers
++ if [ -f /etc/sysconfig/network/providers/"$provider" ]; then
++ noremove=(`
++ . /etc/sysconfig/network/providers/"$provider"
++ if [ \$MODIFYDNS = yes -a \$DEMAND = yes ]; then
++ echo 1
++ fi
++ `)
++ test -z "$noremove" || return
++ fi
+ /sbin/netconfig remove -s pppd -i "$INTERFACE" $NETCONFIG_VERBOSE
+ }
+
+@@ -197,7 +206,7 @@ case "$BASENAME" in
+
+ start_firewall
+
+- if [ ${BASENAME%*-} = "ip" ]; then
++ if [ ${BASENAME%-*} = "ip" ]; then
+ # ip_resend hook
+ test "$IP_RESEND" = "yes" -a -x /usr/sbin/ip_resend_wakeup && \
+ /usr/sbin/ip_resend_wakeup -m $LOCALIP -o $INTERFACE
+@@ -219,7 +228,7 @@ case "$BASENAME" in
+
+ start_firewall
+
+- if [ ${BASENAME%*-} = "ip" ]; then
++ if [ ${BASENAME%-*} = "ip" ]; then
+ # ip_resend hook
+ test "$IP_RESEND" = "yes" -a -x /usr/sbin/ip_resend && \
+ /usr/sbin/ip_resend -o $INTERFACE $IP_RESEND_PARAMETER
|
[-]
[+]
|
Added |
sysconfig-netconfig-8-man-page.bnc446545.diff
^
|
@@ -0,0 +1,11 @@
+--- doc/netconfig.8
++++ doc/netconfig.8 2008/11/26 14:21:21
+@@ -256,7 +256,7 @@
+ The list of the NTP servers is written to the \fI/var/run/ntp/servers-netconfig\fR
+ file and if the configuration changed meanwhile, the ntp service will be restarted
+ using "rcntp try-restart". The ntp init script provides the functionality to apply
+-the runtime server list at runtime using the \fBntpdc\fR(1) program.
++the server list at runtime to the \fBntpd\fR(1) daemon.
+ .TP
+ .B nis
+ This module writes the NIS configuration into the \fI/etc/ypconf\fR file and
|
[-]
[+]
|
Added |
sysconfig-netcontrol_global_hooks-exit-code.bnc450155.diff
^
|
@@ -0,0 +1,27 @@
+--- scripts/netcontrol_global_hooks
++++ scripts/netcontrol_global_hooks 2008/12/01 13:25:30
+@@ -27,15 +27,15 @@
+ # Note that hooked scripts are called always _after_ the interface is up/down.
+ # Calling them earlier would require a change in NetworkManager itself.
+
+-cd /etc/sysconfig/network/ || exit
++cd /etc/sysconfig/network/ || exit 0
+ test -r ./config && . ./config
+ test -r scripts/functions && . scripts/functions
+
+ INTERFACE=$1
+ ACTION=$2
+
+-test "$ACTION" == down -a "$GLOBAL_PRE_DOWN_EXEC" != yes && exit
+-test "$ACTION" == up -a "$GLOBAL_POST_UP_EXEC" != yes && exit
++test "$ACTION" == down -a "$GLOBAL_PRE_DOWN_EXEC" != yes && exit 0
++test "$ACTION" == up -a "$GLOBAL_POST_UP_EXEC" != yes && exit 0
+
+ shopt -s nullglob
+ for a in if-${ACTION}.d/*; do
+@@ -43,4 +43,5 @@
+ info_mesg "calling '`pwd`/$a '${INTERFACE}' ${INTERFACE} -o nm'"
+ $a "${INTERFACE}" ${INTERFACE} -o nm
+ done
++exit 0
+
|
[-]
[+]
|
Added |
sysconfig-network-remotefs-virtual-order.bnc447098.diff
^
|
@@ -0,0 +1,40 @@
+--- scripts/functions
++++ scripts/functions 2008/11/26 20:41:00
+@@ -127,6 +127,7 @@ get_ethtool_drv_info () {
+ if [ ! -x $ethtool ] ; then
+ [ -x /usr${ethtool} ] && ethtool="/usr${ethtool}" || return 1
+ fi
++ local key val
+ $ethtool -i "$IF" 2>/dev/null |
+ while read key val ; do
+ case "$key" in
+@@ -150,7 +151,7 @@ get_iface_type () {
+ test -f /proc/net/vlan/$IF && TYPE=vlan
+ test -d /sys/class/net/$IF/bonding && TYPE=bond
+ test -d /sys/devices/virtual/net/$IF && {
+- eval local `get_ethtool_drv_info $IF`
++ eval local x `get_ethtool_drv_info $IF`
+ test "$ETHTOOL_DRV_NAME" == "tun" && \
+ TYPE="$ETHTOOL_DRV_BUS_INFO" || \
+ case $IF in tap*) TYPE=tap ;; esac
+--- scripts/network
++++ scripts/network 2008/11/26 20:43:19
+@@ -593,6 +593,9 @@ if test "x$FS_FILTER" != x ; then
+ $ALL_MANDATORY_SLAVES
+
+ ALL_VIRTUAL_IFACES=$VIRTUAL_IFACES
++ resolve_iface_startorder ALL_VIRTUAL_IFACES \
++ "$ALL_VIRTUAL_IFACES" \
++ "$PHYSICAL_IFACES $MANDATORY_DEVICES $MANDATORY_SLAVES"
+ resolve_iface_startorder LFS_VIRTUAL_IFACES \
+ "$ALL_VIRTUAL_IFACES" \
+ "$LFS_PHYSICAL_IFACES $LFS_MANDATORY_DEVICES $LFS_MANDATORY_SLAVES" \
+@@ -607,7 +610,7 @@ if test "x$FS_FILTER" != x ; then
+ debug "* Modifications by $FS_FILTER filter:"
+ debug "PHYSICAL_IFACES => $LFS_PHYSICAL_IFACES + $RFS_PHYSICAL_IFACES = $ALL_PHYSICAL_IFACES"
+ debug "NOT_PHYSICAL_IFACES => $LFS_NOT_PHYSICAL_IFACES + $RFS_NOT_PHYSICAL_IFACES = $ALL_NOT_PHYSICAL_IFACES"
+- debug "MANDATORY_DEVICES => $LFS_MANDATORY_DEVICES + $RFS_MANDATORY_DEVICES = ALL_MANDATORY_DEVICES"
++ debug "MANDATORY_DEVICES => $LFS_MANDATORY_DEVICES + $RFS_MANDATORY_DEVICES = $ALL_MANDATORY_DEVICES"
+ debug "MANDATORY_SLAVES => $LFS_MANDATORY_SLAVES + $RFS_MANDATORY_SLAVES = $ALL_MANDATORY_SLAVES"
+ debug "VIRTUAL_IFACES => $LFS_VIRTUAL_IFACES + $RFS_VIRTUAL_IFACES = $ALL_VIRTUAL_IFACES"
+
|
[-]
[+]
|
Added |
sysconfig-networkmanager-resolv-conf.bnc450332.diff
^
|
@@ -0,0 +1,63 @@
+--- scripts/convert_to_netconfig_dns
++++ scripts/convert_to_netconfig_dns 2008/12/01 15:09:16
+@@ -70,6 +70,11 @@
+ test -n "$original"
+ }
+
++has_networkmanager_info()
++{
++ test -n "$1" -a -f "$1" && grep -qs '#.*NetworkManager' "$1" 2>/dev/null
++}
++
+ has_netconfig_info()
+ {
+ test -n "$1" -a -f "$1" && grep -qs '^### .* netconfig' "$1" 2>/dev/null
+@@ -220,6 +225,7 @@
+ # OK, read current settings
+ #
+ eval `grep "^[[:space:]]*\(\
++NETWORKMANAGER\|\
+ NETCONFIG_DNS_POLICY\|\
+ NETCONFIG_DNS_FORWARDER\|\
+ NETCONFIG_DNS_STATIC_SERVERS\|\
+@@ -251,7 +257,8 @@
+
+ # disable netconfig dns updates when modify was disabled
+ if test "$_MODIFY_NAMED_CONF_DYNAMICALLY" != yes -a \
+- "$_MODIFY_RESOLV_CONF_DYNAMICALLY" != yes ;
++ "$_MODIFY_RESOLV_CONF_DYNAMICALLY" != yes -a \
++ "$NETWORKMANAGER" != yes ;
+ then
+ # disable netconfig dns updates
+ NETCONFIG_DNS_POLICY=''
+@@ -277,8 +284,17 @@
+ # don't remove the file, because it may be in a running system...
+ if test -n "$original" -a -r "${r}$original" ; then
+
+- if ! has_netconfig_info "${r}${resolver_conf}" && \
+- test "$update_netconfig_settings" = yes ; then
++ if has_networkmanager_info "${r}${resolver_conf}" ; then
++
++ # just enable for netconfig when created by NM
++ create_backup_once "$resolver_conf" "$backup_suffix" "$r" && \
++ fake_netconfig_md5 "$resolver_conf" "$netconfig_md5" "$r" && {
++ message "Enabled $resolver_conf for use with netconfig"
++ }
++
++ elif ! has_netconfig_info "${r}${resolver_conf}" && \
++ test "$update_netconfig_settings" = yes ;
++ then
+
+ remove_modify_resolvconf_info "${r}${resolver_conf}"
+
+@@ -346,7 +362,9 @@
+
+ remove_modify_resolvconf_info "${r}${forwarder_conf}"
+
+- if test "$_MODIFY_NAMED_CONF_DYNAMICALLY" = yes ; then
++ if test "$NETWORKMANAGER" != yes -a \
++ "$_MODIFY_NAMED_CONF_DYNAMICALLY" = yes ;
++ then
+ # first, read the forwarders
+ dns_servers=(`
+ test -f "${r}${original}" && \
|
[-]
[+]
|
Added |
sysconfig-skip-ifup-hotplug-for-bridges.bnc443749.diff
^
|
@@ -0,0 +1,13 @@
+Index: config/77-network.rules
+===================================================================
+--- config/77-network.rules (Revision 1808)
++++ config/77-network.rules (Arbeitskopie)
+@@ -8,7 +8,7 @@
+ # might be things to clean up. (E.g. killing ifplugd)
+ # There are interfaces which are created with ifup. We have to ignore these
+ # interfaces here.
+-SUBSYSTEM=="net", ENV{INTERFACE}=="ppp*|ippp*|isdn*|plip*|lo*|irda*|dummy*|ipsec*|tun*|tap*|bond*|vlan*|modem*|dsl*", GOTO="skip_ifup"
++SUBSYSTEM=="net", ENV{INTERFACE}=="ppp*|ippp*|isdn*|plip*|lo*|irda*|dummy*|ipsec*|tun*|tap*|bond*|br*|vlan*|modem*|dsl*", GOTO="skip_ifup"
+ SUBSYSTEM=="net", ACTION=="add", RUN+="/sbin/ifup $env{INTERFACE} -o hotplug"
+ SUBSYSTEM=="net", ACTION=="remove", RUN+="/sbin/ifdown %k -o hotplug"
+ LABEL="skip_ifup"
|
[-]
[+]
|
Deleted |
sysconfig_31-network.rules_skip_dsl_ifaces.211936.patch
^
|
@@ -1,11 +0,0 @@
---- config/31-network.rules 2007-01-12 15:49:12.000000000 +0000
-+++ config/31-network.rules 2007-01-12 15:50:28.000000000 +0000
-@@ -22,7 +22,7 @@
- # might be things to clean up. (E.g. killing ifplugd)
- # There are interfaces which are created with ifup. We have to ignore these
- # interfaces here.
--SUBSYSTEM=="net", ENV{INTERFACE}=="ppp*|ippp*|isdn*|plip*|lo*|irda*|dummy*|ipsec*|tun*|tap*|bond*|vlan*|modem*", GOTO="skip_ifup"
-+SUBSYSTEM=="net", ENV{INTERFACE}=="ppp*|ippp*|isdn*|plip*|lo*|irda*|dummy*|ipsec*|tun*|tap*|bond*|vlan*|modem*|dsl*", GOTO="skip_ifup"
- SUBSYSTEM=="net", ACTION=="add", RUN+="/sbin/ifup $env{INTERFACE} -o hotplug"
- SUBSYSTEM=="net", ACTION=="remove", RUN+="/sbin/ifdown %k -o hotplug"
- LABEL="skip_ifup"
|
[-]
[+]
|
Deleted |
sysconfig_automount_iscsi_devices.378038.patch
^
|
@@ -1,40 +0,0 @@
-Index: sysconfig-0.50.9/scripts/storage/mount.sh
-===================================================================
---- sysconfig-0.50.9.orig/scripts/storage/mount.sh
-+++ sysconfig-0.50.9/scripts/storage/mount.sh
-@@ -25,14 +25,25 @@
-
- NODES="$DEVNAME $DEVLINKS"
-
-+if [ "$DM_UUID" ] ; then
-+ NODES="$NODES /dev/mapper/$DM_TABLE"
-+ if [ ${DM_UUID##LVM-} != "$DM_UUID" ] ; then
-+ vgname=$(echo $DM_TABLE | sed 's.-./.g;s.//.-.g')
-+ NODES="$NODES /dev/$vgname"
-+ fi
-+fi
-+
- # scan /etc/fstab
- HOTPLUG="no"
- while read dn mp fs opts dump fsck x; do
- case $opts in
- *hotplug*)
-+ d=$(echo $dn | sed 's.UUID=./dev/disk/by-uuid/.g;s.LABEL=./dev/disk/by-label/.g')
- for n in $NODES; do
-- if [ "$n" == "$dn" ] ; then
-+ if [ "$n" == "$d" ] ; then
- HOTPLUG="yes"
-+ DEVNAME=$n
-+ break;
- fi
- done
- ;;
-Index: sysconfig-0.50.9/config/storage/85-mount-fstab.rules
-===================================================================
---- sysconfig-0.50.9.orig/config/storage/85-mount-fstab.rules
-+++ sysconfig-0.50.9/config/storage/85-mount-fstab.rules
-@@ -1,3 +1,3 @@
- # check fstab and possibly mount
--SUBSYSTEM=="block", ACTION=="add", KERNEL=="sd*[0-9]|hd*[0-9]", RUN+="mount.sh"
-+SUBSYSTEM=="block", ACTION=="add", ID_FS_USAGE=="filesystem", KERNEL=="sd*[a-z]|sd*[0-9]|hd[a-z]|hd*[0-9]|dm-*[0-9]|md*[0-9]", RUN+="mount.sh"
-
|
[-]
[+]
|
Deleted |
sysconfig_bond_arp_ip_target_option.349506.patch
^
|
@@ -1,32 +0,0 @@
---- scripts/functions
-+++ scripts/functions 2008/01/18 14:47:44
-@@ -210,6 +210,20 @@
- # words. A string describing the mode and the corresponding number. We
- # have to compare both.
- read OLD_OPT_VALUE OLD_OPT_VALUE_2 < /sys/class/net/$IF/bonding/$OPT_NAME
-+ if [ "$OPT_NAME" == arp_ip_target ]; then
-+ for a in `cat /sys/class/net/$IF/bonding/$OPT_NAME`; do
-+ if ! echo "-$a" > /sys/class/net/$IF/bonding/$OPT_NAME
-+ then
-+ err_mesg "Option '$OPT_NAME': can't remove $a"
-+ fi
-+ done
-+ for a in `echo "$OPT_VALUE" | tr ',' ' '` ; do
-+ if ! echo "+$a" > /sys/class/net/$IF/bonding/$OPT_NAME ; then
-+ err_mesg "Option '$OPT_NAME': can't add $a"
-+ fi
-+ done
-+ continue
-+ fi
- if [ "$OLD_OPT_VALUE" == "$OPT_VALUE" \
- -o \( "$OPT_NAME" == mode -a "$OLD_OPT_VALUE_2" == "$OPT_VALUE" \) \
- ] ; then
-@@ -242,7 +256,7 @@
- if [ ! -d /sys/class/net/$IF/bonding ] ; then
- return 1 # Interface is not a bonding master
- fi
-- ip link set down dev $1
-+ ip link set down dev $IF
- echo "-$IF" > /sys/class/net/bonding_masters
- }
-
|
[-]
[+]
|
Deleted |
sysconfig_bonding_slave_down_trigger.fate-303388-1.patch
^
|
@@ -1,71 +0,0 @@
---- scripts/functions
-+++ scripts/functions 2008/02/07 10:32:24
-@@ -558,18 +558,20 @@
- return 1
- fi
-
-+ ## trigger down vlan ifaces when underlying iface goes down
- if [ -d "$VLAN_PATH" ]; then
- DEP_VLANS=`cd "$VLAN_PATH"
- grep -lws "Device: *$BASE_IFACE" *`
- DEP_IFACES="$DEP_VLANS"
- fi
-
-- ## don't trigger down of bond interface when a slave goes down
-- #if [ -d "$BOND_PATH" ]; then
-- # DEP_BONDS=`cd "$BOND_PATH"
-- # grep -lws "Slave Interface: *$BASE_IFACE" *`
-- # DEP_IFACES="$DEP_IFACES${DEP_BONDS:+ $DEP_BONDS}"
-- #fi
-+ ## trigger down bonding slaves when bonding goes down
-+ if [ -d "$BOND_PATH" ]; then
-+ DEP_BONDS=`cd "$BOND_PATH"
-+ grep -s '^Slave Interface:' $BASE_IFACE |
-+ while IFS=':' read text iface ; do echo -n "$iface" ; done`
-+ DEP_IFACES="$DEP_IFACES${DEP_BONDS:+ $DEP_BONDS}"
-+ fi
-
- if [ -z "$DEP_IFACES" ]; then
- return 1
---- scripts/network
-+++ scripts/network 2008/02/07 11:34:36
-@@ -856,8 +856,13 @@
- $FAKE ifdown-route noiface -o rc $MODE
- fi
-
-- for IFACE in ${INTERFACE:-$BRIDGE_IFACES $TUNNEL_IFACES $DIALUP_IFACES $VLAN_IFACES $BONDING_IFACES $PHYSICAL_IFACES $AVAILABLE_IFACES} ; do
-+ DONE_IFACES=""
-+ for IFACE in ${INTERFACE:-$BRIDGE_IFACES $TUNNEL_IFACES $DIALUP_IFACES $VLAN_IFACES $PHYSICAL_IFACES $BONDING_IFACES $AVAILABLE_IFACES} ; do
- test -d /sys/class/net/$IFACE || continue
-+ for I in $DONE_IFACES ; do
-+ test "x$I" = "x$IFACE" && continue 2
-+ done
-+
- # printf " %-9s " $IFACE
- $FAKE ifdown $CONFIG $IFACE -o rc $MODE
- RET=$?
-@@ -870,6 +875,7 @@
- *)
- rc_status -v1 ;;
- esac
-+ DONE_IFACES="$DONE_IFACES $IFACE"
- rc_reset
- done
-
---- scripts/ifup
-+++ scripts/ifup 2008/02/07 14:04:37
-@@ -437,7 +437,14 @@
- for DI in $DEP_IFACES; do
- ifdown $DI -o $OPTIONS
- done
-+
- message "`printf " %-9s now going down itself" $INTERFACE`"
-+ # check if iface is (still) avaliable
-+ # [bonding master may go down itself
-+ # while the last slave gets removed]
-+ if ! is_iface_available $INTERFACE; then
-+ exit $R_SUCCESS
-+ fi
- fi
-
- ######################################################################
|
[-]
[+]
|
Deleted |
sysconfig_config_typo.251713.patch
^
|
@@ -1,13 +0,0 @@
---- config/sysconfig.config-network 2006-05-18 17:17:59.000000000 +0000
-+++ config/sysconfig.config-network 2007-04-22 18:43:27.000000000 +0000
-@@ -192,8 +192,8 @@
- ## Default: yes
- #
- # Forces all interfaces eth* ath* wlan* and ra* to be persistent via udev.
--# See /usr/share/doc/package/sysconfig/README.Persistent_Interface_Names for
--# details.
-+# See /usr/share/doc/packages/sysconfig/README.Persistent_Interface_Names
-+# for details.
- #
- FORCE_PERSISTENT_NAMES=yes
-
|
[-]
[+]
|
Deleted |
sysconfig_dhcpcd-hook_show_interface_name.305592.patch
^
|
@@ -1,16 +0,0 @@
---- scripts/dhcpcd-hook 2007-12-09 14:32:53.000000000 +0100
-+++ scripts/dhcpcd-hook 2007-12-09 14:33:27.000000000 +0100
-@@ -85,11 +85,11 @@
- # (in the 'leaseinfo does not exist case' the interface can still be
- # guessed from the name, but I doubt it's useful to run ifdown then)
- if test -z $leaseinfo; then
-- $log_dbg "Skipping 'ifdown \$INTERFACE -o dhcp' call"
-+ $log_dbg "Skipping 'ifdown $INTERFACE -o dhcp' call"
- exit 0
- fi
- if ! test -e $leaseinfo; then
-- $log_dbg "$leaseinfo does not exist. Skipping 'ifdown \$INTERFACE -o dhcp' call"
-+ $log_dbg "$leaseinfo does not exist. Skipping 'ifdown $INTERFACE -o dhcp' call"
- exit 0
- fi
-
|
[-]
[+]
|
Deleted |
sysconfig_dont_trigger_module_reload.199456.patch
^
|
@@ -1,69 +0,0 @@
---- scripts/functions
-+++ scripts/functions
-@@ -91,11 +91,12 @@
- test "${SCRIPTNAME%%-*}" = ifdown -a "$MODE" = hotplug && return 0
- test "${SCRIPTNAME%%-*}" = ifup -a "$BONDING_MASTER" = yes && return 0
- test "${SCRIPTNAME%%-*}" = ifup -a "$BRIDGE" = yes && return 0
-- ip link list $1 &>/dev/null
-+ test -d /sys/class/net/$1
- }
-
- is_iface_up () {
- test -z "$1" && return 1
-+ test -d /sys/class/net/$1 || return 1
- case "`LC_ALL=POSIX ip link show $1 2>/dev/null`" in
- *$1*UP*) ;;
- *) return 1 ;;
---- scripts/ifup
-+++ scripts/ifup
-@@ -1206,8 +1206,10 @@
- ifdown)
- ifdown-dhcp $CONFIG $INTERFACE ${OPTIONS:+-o $OPTIONS}
- ifdown-route $CONFIG $INTERFACE ${OPTIONS:+-o $OPTIONS}
-- ip addr flush dev $INTERFACE &>/dev/null
-- ip link set dev $INTERFACE down &>/dev/null
-+ if [ -d /sys/class/net/$INTERFACE ] ; then
-+ ip addr flush dev $INTERFACE &>/dev/null
-+ ip link set dev $INTERFACE down &>/dev/null
-+ fi
- # If this is an bonding master, remove it
- if [ "$BONDING_MASTER" = yes ] ; then
- remove_bond $INTERFACE
---- scripts/ifup-dhcp
-+++ scripts/ifup-dhcp
-@@ -413,8 +413,10 @@
- if test -s $info && grep -q LEASETIME=4294967295 $info; then
- debug "dhcpcd is no longer running on $INTERFACE, since it got"
- debug "an infinite lease. Manually shutting down the interface."
-- ip addr flush dev $INTERFACE &>/dev/null
-- ip link set dev $INTERFACE down &>/dev/null
-+ if [ -d /sys/class/net/$INTERFACE ] ; then
-+ ip addr flush dev $INTERFACE &>/dev/null
-+ ip link set dev $INTERFACE down &>/dev/null
-+ fi
- fi
- fi
-
---- scripts/ifup-route
-+++ scripts/ifup-route
-@@ -117,12 +117,14 @@
- eval "case \$INTERFACE in $LINKLOCAL_INTERFACES) islinklocal=true ;; esac"
- fi
- # Don't add this route if interface has no v4 address (Bug 65557)
--test -z "`ip -4 a l dev $INTERFACE 2>/dev/null`" && islinklocal=
--if test -n "$islinklocal" ; then
-- current=`ip route show 169.254.0.0/16`
-- if test -z "$current" -o "$current" != "${current/ dev $INTERFACE }" ; then
-- EXTRALINKLOCAL="169.254.0.0 - 255.255.0.0 $INTERFACE"
-- fi
-+if [ -d /sys/class/net/$INTERFACE ] ; then
-+ test -z "`ip -4 a l dev $INTERFACE 2>/dev/null`" && islinklocal=
-+ if test -n "$islinklocal" ; then
-+ current=`ip route show 169.254.0.0/16`
-+ if test -z "$current" -o "$current" != "${current/ dev $INTERFACE }" ; then
-+ EXTRALINKLOCAL="169.254.0.0 - 255.255.0.0 $INTERFACE"
-+ fi
-+ fi
- fi
-
- # Having no routing configuration file is no error
|
[-]
[+]
|
Deleted |
sysconfig_ethtool_option_handling.367786.patch
^
|
@@ -1,61 +0,0 @@
---- config/ifcfg.template
-+++ config/ifcfg.template 2008/03/07 09:34:23
-@@ -170,8 +170,11 @@
- ## Type: string
- ## Default: ""
- #
--# If this variable is not empty ifup will call ethtool with exactly this
--# options. See manpage ethtool for available options.
-+# If this variable is not empty ifup will call ethtool with this options.
-+# See the ethtool (8) manual page for available options.
-+# If the option string starts with a '-' (e.g. '-K iface rx on'), then the
-+# second word in the string will be replaced with the current interface name.
-+# Otherwise (e.g. 'autoneg off speed 10') ifup prepends '-s <interface>'.
- #
- ETHTOOL_OPTIONS=
-
---- doc/ifcfg.5
-+++ doc/ifcfg.5 2008/03/07 09:34:07
-@@ -191,10 +191,12 @@
- may specify it in this variable.
- .TP
- .B ETHTOOL_OPTIONS
--If this variable is not empty ifup will call ethtool with exactly this
--options. See manpage
--.B ethtool (8)
--for available options.
-+If this variable is not empty ifup will call ethtool with this options.
-+See the
-+.B ethtool (8) manual page for available options.
-+If the option string starts with a '-' (e.g. '-K iface rx on'), then the
-+second word in the string will be replaced with the current interface name.
-+Otherwise (e.g. 'autoneg off speed 10') ifup prepends '-s <interface>'.
- .TP
- .BR RUN_POLL_TCPIP\ { yes* | no }
- Controls running
---- scripts/ifup
-+++ scripts/ifup 2008/03/07 09:55:25
-@@ -822,8 +822,21 @@
- # There were cases where interfaces were not ready for ethtool
- # immediately after registration.
- test -n "$ETHTOOL_WAIT" && sleep $ETHTOOL_WAIT 2>/dev/null
-- /usr/sbin/ethtool -s $INTERFACE $ETHTOOL_OPTIONS &>/dev/null
-- test $? != 0 && logerror "\"ethtool $INTERFACE $ETHTOOL_OPTIONS\" failed."
-+ case "$ETHTOOL_OPTIONS" in
-+ -*) # got an option, replace second word with current interface
-+ read ETHTOOL_SWITCH xifacex ETHTOOL_SETTINGS < <(echo "$ETHTOOL_OPTIONS")
-+ ETHTOOL_OPTIONS="$ETHTOOL_SWITCH $INTERFACE $ETHTOOL_SETTINGS"
-+ ;;
-+ *) # old style, setting a parameter...
-+ ETHTOOL_OPTIONS="-s $INTERFACE $ETHTOOL_OPTIONS"
-+ ;;
-+ esac
-+
-+ MESSAGE="`/usr/sbin/ethtool $ETHTOOL_OPTIONS 2>&1`"
-+ test $? != 0 \
-+ && err_mesg "Error while executing: /usr/sbin/ethtool $ETHTOOL_OPTIONS" \
-+ || info_mesg "/usr/sbin/ethtool $ETHTOOL_OPTIONS"
-+ test -n "$MESSAGE" && err_mesg "$MESSAGE"
- fi
-
-
|
[-]
[+]
|
Deleted |
sysconfig_getcfg-empty_hwdesc_is_invalid.285579.patch
^
|
@@ -1,16 +0,0 @@
---- tools/get_config_lib.c 2007-07-05 14:17:00.000000000 +0000
-+++ tools/get_config_lib.c 2007-07-06 05:18:05.000000000 +0000
-@@ -515,9 +515,11 @@
- }
- case invalid:
- /*
-- * No keywords found. Assume it's an interface.
-+ * No keywords found.
-+ * Assume it's an interface, except if it's empty.
- */
-- if (hwdesc->interface_num < MAX_INTERFACE_NUM) {
-+ if ( hwdesc->interface_num < MAX_INTERFACE_NUM
-+ && hwdesc->hwdesc[0] != '\0' ) {
- strcpy(hwdesc->interface[hwdesc->interface_num++],
- hwdesc->hwdesc);
- hwdesc->hwdesc_type = interface;
|
[-]
[+]
|
Deleted |
sysconfig_getcfg_add_ficon_alias.181998.patch
^
|
@@ -1,13 +0,0 @@
---- tools/get_config_lib.c 2006-03-17 11:12:42.000000000 +0000
-+++ tools/get_config_lib.c 2006-12-10 11:13:01.000000000 +0000
-@@ -781,8 +781,8 @@
- "block dasd",
- "scsi_host zfcp",
- "scsi zfcp",
-- "ccwgroup lcs ctc qeth osn hsi eth tr",
-- "ccw lcs ctc qeth osn hsi dasd zfcp eth tr",
-+ "ccwgroup lcs ctc ficon qeth osn hsi eth tr",
-+ "ccw lcs ctc ficon qeth osn hsi dasd zfcp eth tr",
- NULL
- };
-
|
[-]
[+]
|
Deleted |
sysconfig_getcfg_infiniband_hotfix.204098.patch
^
|
@@ -1,24 +0,0 @@
---- tools/get_config_lib.c 2007-03-12 10:58:49.000000000 +0000
-+++ tools/get_config_lib.c 2007-03-12 11:02:10.000000000 +0000
-@@ -1098,10 +1098,18 @@
- level++;
- break;
- case interface:
-- for (i=0; i<hwdesc->interface_num; i++)
-- if (! strcmp(config->interface[0],
-- hwdesc->interface[i]))
-+ // only test against first hwdesc for ib
-+ if(!strncmp("ib",hwdesc->interface[0],2)) {
-+ if (! strcmp(config->interface[0], hwdesc->interface[0]))
- level++;
-+ }
-+ else {
-+ for (i=0; i<hwdesc->interface_num; i++) {
-+ if (! strcmp(config->interface[0],
-+ hwdesc->interface[i]))
-+ level++;
-+ }
-+ }
- break;
- case type:
- if (0 <= match_type(config->devtype, hwdesc->devtype))
|
[-]
[+]
|
Deleted |
sysconfig_hwup-new-vmur-device-support.363979.patch
^
|
@@ -1,13 +0,0 @@
---- scripts/hardware/hwup-ccw
-+++ scripts/hardware/hwup-ccw 2008-02-22 08:04:27.000000000 +0100
-@@ -116,6 +116,10 @@
- # DASD (FBA mode)
- CCW_CHAN_NAME="dasd-fba"
- ;;
-+ 2540/*|1403/*)
-+ # Spooling Decice
-+ CCW_CHAN_NAME="vmur"
-+ ;;
- 3880/*)
- case "$_dev_type" in
- 3390/*)
|
[-]
[+]
|
Deleted |
sysconfig_hwup_quote_variable_DRIVERS.234532.patch
^
|
@@ -1,56 +0,0 @@
---- scripts/hardware/hwup 2007-02-03 17:01:09.000000000 +0000
-+++ scripts/hardware/hwup 2007-02-03 17:02:34.000000000 +0000
-@@ -208,7 +208,7 @@
- if [ -n "$DRIVER" -a "$DRIVER" != skip ] ; then
- info_mesg "Binding device to driver '$DRIVER'"
- SYSFS_DRIVER_PATH="/sys/bus/$HWD_BUSNAME/drivers/$DRIVER"
-- echo -n $HWD_BUSID > $SYSFS_DRIVER_PATH/bind
-+ echo -n $HWD_BUSID > "$SYSFS_DRIVER_PATH/bind"
- test "$DRIVER" == ipw3945 && ipw3945_start_daemon
- fi
- fi
-@@ -511,11 +511,11 @@
-
- if [ -n "$DRIVER" ]; then
- SYSFS_DRIVER_PATH="/sys/bus/$HWD_BUSNAME/drivers/$DRIVER"
-- if [ -L $SYSFS_DRIVER_PATH/$HWD_BUSID ] ; then
-+ if [ -L "$SYSFS_DRIVER_PATH/$HWD_BUSID" ] ; then
- info_mesg "Device '$HWD_BUSID' is already bound to driver '$DRIVER'"
- else
- mesg "hwup: binding device $HWD_BUSID to driver $DRIVER."
-- echo -n $HWD_BUSID > $SYSFS_DRIVER_PATH/bind
-+ echo -n $HWD_BUSID > "$SYSFS_DRIVER_PATH/bind"
- test "$DRIVER" == ipw3945 && ipw3945_start_daemon
- fi
- else
-@@ -525,13 +525,13 @@
-
- if [ "$SCRIPTNAME" = hwdown -a "$HOTPLUG" != yes -a "$NOBIND" != yes ] ; then
-
-- SYSFS_DRIVER_PATH=`ls -d /sys/bus/$HWD_BUSNAME/drivers/*/$HWD_BUSID 2>/dev/null`
-- SYSFS_DRIVER_PATH=${SYSFS_DRIVER_PATH%/$HWD_BUSID}
-+ SYSFS_DRIVER_PATH="`ls -d /sys/bus/$HWD_BUSNAME/drivers/*/$HWD_BUSID 2>/dev/null`"
-+ SYSFS_DRIVER_PATH="${SYSFS_DRIVER_PATH%/$HWD_BUSID}"
-
- if [ -n "$SYSFS_DRIVER_PATH" ]; then
- # unbind the device from the module
- mesg "hwup: unbinding device $HWD_BUSID from driver $HWD_DRIVER."
-- echo -n $HWD_BUSID > $SYSFS_DRIVER_PATH/unbind
-+ echo -n $HWD_BUSID > "$SYSFS_DRIVER_PATH/unbind"
- # save driver name
- echo "DRIVER=$HWD_DRIVER" > $DRIVER_FILE
- else
-@@ -541,10 +541,9 @@
- fi
-
- if [ "$SCRIPTNAME" = hwstatus ] ; then
-- SYSFS_DRIVER_PATH=`ls -d /sys/bus/$HWD_BUSNAME/drivers/*/$HWD_BUSID \
-- 2>/dev/null`
-- SYSFS_DRIVER_PATH=${SYSFS_DRIVER_PATH%/$HWD_BUSID}
-- SYSFS_MODULE_PATH=$(cd $SYSFS_DRIVER_PATH 2>/dev/null &&
-+ SYSFS_DRIVER_PATH="`ls -d /sys/bus/$HWD_BUSNAME/drivers/*/$HWD_BUSID 2>/dev/null`"
-+ SYSFS_DRIVER_PATH="${SYSFS_DRIVER_PATH%/$HWD_BUSID}"
-+ SYSFS_MODULE_PATH=$(cd "$SYSFS_DRIVER_PATH" 2>/dev/null &&
- cd module 2>/dev/null; pwd -P)
- SYSFS_MODULE=${SYSFS_MODULE_PATH##*/}
- echo DRIVER=${SYSFS_DRIVER_PATH##*/}
|
[-]
[+]
|
Deleted |
sysconfig_hwup_strip_static_if_needed.179604.patch
^
|
@@ -1,41 +0,0 @@
---- scripts/hardware/functions.static 2007-01-12 15:55:57.000000000 +0000
-+++ scripts/hardware/functions.static 2007-01-12 17:52:28.000000000 +0000
-@@ -4,12 +4,20 @@
- fi
- }
-
--get_config_getcfg() {
-- :
--}
--
--get_config_fast() {
-- :
--}
--
-+: HWDESC=$HWDESC
-+if [ -z "$CONFIG" ] ; then
-+ case $HWDESC in
-+ static-*)
-+ CONFIG=$HWDESC
-+ HWDESC=${HWDESC##static-}
-+ unset SUBSYSTEM
-+ SUBSYSTEM=`get_subsystem`
-+ if [ $? != 0 ] ; then
-+ err_mesg "Cannot handle subsystem '$SUBSYSTEM'"
-+ exit $R_USAGE
-+ fi
-+ test -r ./scripts/functions.$SUBSYSTEM && . ./scripts/functions.$SUBSYSTEM
-+ ;;
-+ esac
-+fi
-
---- scripts/hardware/hwup 2007-01-12 15:55:57.000000000 +0000
-+++ scripts/hardware/hwup 2007-01-12 17:49:26.000000000 +0000
-@@ -300,6 +300,7 @@
- if [ -z "$CONFIG" ] ; then
- case ${HWDESC%%-*} in
- static|boot) CONFIG=$HWDESC;;
-+ *) test -r hwcfg-static-"$HWDESC" && CONFIG="static-$HWDESC";;
- esac
- fi
- info_mesg "HWDESC='$HWDESC'"
|
[-]
[+]
|
Deleted |
sysconfig_ifdown-dhcp_dont_touch_other_ifaces.260073.patch
^
|
@@ -1,20 +0,0 @@
---- scripts/ifup-dhcp 2007-04-22 15:11:50.000000000 +0000
-+++ scripts/ifup-dhcp 2007-04-22 16:28:03.000000000 +0000
-@@ -229,7 +229,7 @@
- dhcpcd)
- for i in `pidof $DHCLIENT`; do
- case $(cat /proc/$i/cmdline) in
-- *$INTERFACE*) dhcpcd_on_device="$dhcpcd_on_device $i"
-+ *$INTERFACE) dhcpcd_on_device="$dhcpcd_on_device $i"
- esac
- done
- for i in $dhcpcd_on_device; do
-@@ -382,7 +382,7 @@
- # per interface. but we have made bad experiences with ...hotplug
- for i in `pidof $DHCLIENT`; do
- case $(cat /proc/$i/cmdline) in
-- *$INTERFACE*) dhcpcd_on_device="$dhcpcd_on_device $i"
-+ *$INTERFACE) dhcpcd_on_device="$dhcpcd_on_device $i"
- esac
- done
-
|
[-]
[+]
|
Deleted |
sysconfig_ifdown-dhcp_dont_touch_other_ifaces_2.282033.patch
^
|
@@ -1,163 +0,0 @@
---- scripts/Makefile.am
-+++ scripts/Makefile.am
-@@ -16,7 +16,6 @@
- ifup-services \
- ifup-skel \
- ifup-wireless \
-- dhcp-interfaces \
- dhcpcd-hook \
- drop-hotplug-symlink.sh \
- check_configurations \
---- scripts/dhcp-interfaces
-+++ scripts/dhcp-interfaces
-@@ -1,17 +0,0 @@
--#!/bin/bash
--
--. /etc/sysconfig/network/dhcp
--: ${DHCLIENT_BIN:=dhcpcd}
--if [ -x $DHCLIENT_BIN ]; then :
--elif [ -x /sbin/$DHCLIENT_BIN ]; then DHCLIENT_BIN=/sbin/$DHCLIENT_BIN;
--elif [ -x /sbin/dhclient ]; then DHCLIENT_BIN=/sbin/dhclient
--fi
--DHCLIENT=${DHCLIENT_BIN##*/}
--
--for i in `pidof $DHCLIENT`; do
-- for device in `cat -A /proc/$i/cmdline`; do
-- device=${device%^@}
-- echo -e ${device##*^@}
-- done
--done
--exit 0
---- scripts/functions
-+++ scripts/functions
-@@ -525,3 +525,36 @@
- test -f $NETWORK_RUNFILE
- }
-
-+# returns 0 if there is a dhcp client running on this interface
-+# prints pids of all dhcp clients on this interface
-+# prints nothing if called with option '-q'
-+# Usually it should not happen that more then one dhcpcd is running on one
-+# interface, but it may happen. So better safe than sorry!
-+dhcpc_on_iface() {
-+ local pid line retval=1
-+ while read pid line; do
-+ retval=0
-+ test "$1" == "-q" && break
-+ echo $pid
-+ done < <(ps ax | grep -s "[ /]$DHCLIENT\>.*\<$INTERFACE\>")
-+ return $retval
-+}
-+
-+# returns 0 if ifup is currently working on this interface
-+ifup_on_iface() {
-+ ps ax | grep -qs "[i]fup.* $INTERFACE\>"
-+}
-+
-+dhcp-interfaces() {
-+ . /etc/sysconfig/network/dhcp
-+ : ${DHCLIENT_BIN:=dhcpcd}
-+ if [ -x $DHCLIENT_BIN ]; then :
-+ elif [ -x /sbin/$DHCLIENT_BIN ]; then DHCLIENT_BIN=/sbin/$DHCLIENT_BIN;
-+ elif [ -x /sbin/dhclient ]; then DHCLIENT_BIN=/sbin/dhclient
-+ fi
-+ DHCLIENT=${DHCLIENT_BIN##*/}
-+ for INTERFACE in `ls /sys/class/net`; do
-+ dhcpc_on_iface -q && echo $INTERFACE
-+ done
-+ return 0
-+}
---- scripts/ifup-dhcp
-+++ scripts/ifup-dhcp
-@@ -34,18 +34,23 @@
- exit $R_USAGE
- }
-
-+# returns 0 if there is a dhcp client running on this interface
-+# prints pids of all dhcp clients on this interface
-+# prints nothing if called with option '-q'
-+# Usually it should not happen that more then one dhcpcd is running on one
-+# interface, but it may happen. So better safe than sorry!
- dhcpc_on_iface() {
-- local i
-- for i in `pidof $DHCLIENT`; do
-- case $(cat /proc/$i/cmdline) in
-- *$INTERFACE*) return 0
-- esac
-- done
-- return 1
-+ local pid line retval=1
-+ while read pid line; do
-+ retval=0
-+ test "$1" == "-q" && break
-+ echo $pid
-+ done < <(ps ax | grep -s "[ /]$DHCLIENT\>.*\<$INTERFACE\>")
-+ return $retval
- }
-
- ifup_on_iface() {
-- ps ax | grep -v grep | grep -qs "ifup.* $INTERFACE\>"
-+ ps ax | grep -qs "[i]fup.* $INTERFACE\>"
- }
-
- ######################################################################
-@@ -203,13 +208,7 @@
-
- # let's first test if the running dhcpcd actually runs on this
- # interface, because then we don't want to start another one:
-- already_running=false
-- for i in `pidof $DHCLIENT`; do
-- case $(cat /proc/$i/cmdline) in
-- *$INTERFACE*) already_running=true;;
-- esac
-- done
-- if $already_running; then
-+ if dhcpc_on_iface -q; then
- if test "$RUN_FROM_RC" = yes; then
- while read a b c d e f g h i; do
- message "`printf " %-9s IP address: %s (DHCP was already running)" $i $d`"
-@@ -227,12 +226,7 @@
- elif [ "$ACTION" = 'renew' ]; then
- case $DHCLIENT in
- dhcpcd)
-- for i in `pidof $DHCLIENT`; do
-- case $(cat /proc/$i/cmdline) in
-- *$INTERFACE) dhcpcd_on_device="$dhcpcd_on_device $i"
-- esac
-- done
-- for i in $dhcpcd_on_device; do
-+ for i in `dhcpc_on_iface`; do
- kill -TERM $i &>/dev/null
- done
- sleep 1
-@@ -380,11 +374,7 @@
- # interface. Unfortunately, the pid file is not there when it starts
- # up, so we can't rely on that. Normally, only one process is running
- # per interface. but we have made bad experiences with ...hotplug
-- for i in `pidof $DHCLIENT`; do
-- case $(cat /proc/$i/cmdline) in
-- *$INTERFACE) dhcpcd_on_device="$dhcpcd_on_device $i"
-- esac
-- done
-+ dhcpcd_on_device="`dhcpc_on_iface`"
-
- test "$DHCLIENT_RELEASE_BEFORE_QUIT" = "yes" \
- && USE_SIGNAL="-HUP" || USE_SIGNAL="-TERM"
-@@ -448,7 +438,7 @@
- status)
- if test -z "`ip -o -f inet addr show $INTERFACE`"; then
- # interface has currently no ipv4 address assigned
-- if dhcpc_on_iface ; then
-+ if dhcpc_on_iface -q; then
- message "`printf " %-9s %s is still waiting for data" $INTERFACE $DHCLIENT`"
- exit $R_DHCP_BG
- elif ifup_on_iface ; then
-@@ -460,7 +450,7 @@
- fi
- else
- # interface has at least one ipv4 address
-- if dhcpc_on_iface ; then
-+ if dhcpc_on_iface -q; then
- message "`printf " %-9s DHCP client (%s) is running" $INTERFACE $DHCLIENT`"
- # Show more info if not run from initscript
- if [ "$RUN_FROM_RC" != yes ] ; then
|
[-]
[+]
|
Deleted |
sysconfig_ifstatus_dont_use_syslog.261350.patch
^
|
@@ -1,68 +0,0 @@
---- doc/ifup.8 2006-01-17 13:46:52.000000000 +0000
-+++ doc/ifup.8 2007-04-22 10:39:03.000000000 +0000
-@@ -151,6 +151,15 @@
- interfaces.
- .IP debug
- Be verbose.
-+.IP (no)syslog
-+With
-+.B nosyslog
-+the scripts don't send messages to syslog even if the configuration
-+variable
-+.B USE_SYSLOG
-+is set to "yes". This is default for ifstatus only.
-+If you want also ifstatus messages send to syslog then call it with
-+.B syslog.
- .SH FILES
- .I /sbin/ifup
- .RS
---- scripts/functions.common 2006-02-14 19:18:29.000000000 +0000
-+++ scripts/functions.common 2007-04-22 10:16:15.000000000 +0000
-@@ -121,6 +121,10 @@
- test "$DEBUG" == yes && LOG_LEVEL=7
- SCRIPTNAME=${SCRIPTNAME:-${0##*/}}
-
-+# DONT_USE_SYSLOG=yes will be set in ifstatus to overwrite USE_SYSLOG. This is
-+# a workaround for bug 261350.
-+test "$DONT_USE_SYSLOG" == yes && USE_SYSLOG=no
-+
- if [ "$USE_SYSLOG" != yes ] ; then
- mesg() {
- echo -e "$@" # >&2
---- scripts/ifup 2007-04-22 10:13:53.000000000 +0000
-+++ scripts/ifup 2007-04-22 10:40:39.000000000 +0000
-@@ -44,9 +44,13 @@
- echo " prov=<n> : use provider <n> (for dial up interface)"
- echo " nodeps : don't shut down interfaces depending on this"
- echo " debug : be verbose"
-- test "$SCRIPTNAME" = "ifstatus" &&
-+ if [ "$SCRIPTNAME" = "ifstatus" ] ; then
-+ echo " syslog : write to syslog if USE_SYSLOG=yes"
- echo -e " check : return R_BUSY (=$R_BUSY) if there are" \
- "\n active connections on this interface"
-+ else
-+ echo " nosyslog : don't write to syslog even if USE_SYSLOG=yes"
-+ fi
- echo "If options are contradictionary, last option wins. Unknown options"
- echo "are simply ignored, so be careful."
- echo
-@@ -94,6 +98,10 @@
- MODE=manual
- HOTPLUG=no
- CONTROL_IFPLUGD=yes # Start/Stop ifplugd?
-+# Don't log messages from ifstatus in syslog by default (Bug 261350). This
-+# overwrites the config variable /etc/sysconfig/network/config:USE_SYSLOG
-+export DONT_USE_SYSLOG=no
-+test "$SCRIPTNAME" == ifstatus && DONT_USE_SYSLOG=yes
- while [ $# -gt 0 ]; do
- case $1 in
- boot|onboot) MODE=auto ;;
-@@ -107,6 +115,8 @@
- check) CHECK=yes ;;
- quiet) be_quiet_has_gone ;;
- debug) DEBUG=yes ;;
-+ nosyslog) DONT_USE_SYSLOG=yes ;;
-+ syslog) DONT_USE_SYSLOG=no ;;
- prov=*) PROVIDER=${1##*=} ;;
- dhcp) DHCP=yes; CONTROL_IFPLUGD=no ;;
- nodeps) NODEPS=yes ;;
|
[-]
[+]
|
Deleted |
sysconfig_ifup-dhcp-status_infinite_leasetime.192745.patch
^
|
@@ -1,30 +0,0 @@
---- scripts/ifup-dhcp 2006-06-02 11:51:54.000000000 +0000
-+++ scripts/ifup-dhcp 2006-12-10 11:19:42.000000000 +0000
-@@ -495,7 +495,17 @@
- message "`printf " %-9s is just beeing set up" $INTERFACE`"
- exit $R_DHCP_BG
- else
-- message "`printf " %-9s DHCP client NOT running" $INTERFACE`"
-+ # dhcpcd may not be running (it quits if it gets an infinite lease)
-+ info=/var/lib/dhcpcd/dhcpcd-$INTERFACE.info
-+ if test -s $info && grep -q LEASETIME=4294967295 $info; then
-+ EXTRA_INFO=", because it got an infinite lease"
-+ RET_VAL=$R_SUCCESS
-+ else
-+ EXTRA_INFO=
-+ RET_VAL=$R_NOTRUNNING
-+ fi
-+ message "`printf " %-9s DHCP client NOT running%s" \
-+ "$INTERFACE" "$EXTRA_INFO"`"
- if [ "$RUN_FROM_RC" = yes ] ; then
- while read a b c d e f g h i; do
- message "`printf " %-9s IP address: %s (DHCP)" ${i:-$b} $d`"
-@@ -503,7 +513,7 @@
- else
- message "$(ip addr show $INTERFACE)"
- fi
-- exit $R_NOTRUNNING
-+ exit $RET_VAL
- fi
-
-
|
[-]
[+]
|
Deleted |
sysconfig_ifup-dhcp_return_DHCP_BG_for_dhclient.334659.patch
^
|
@@ -1,14 +0,0 @@
---- scripts/ifup-dhcp 2008-01-16 17:35:41.000000000 +0000
-+++ scripts/ifup-dhcp 2008-01-17 08:03:07.000000000 +0000
-@@ -342,6 +342,11 @@
- else
- startproc -f -t ${STARTPROC_TIMEOUT:-1} -q $DHCLIENT_BIN \
- $DHCLIENT_ARGS $INTERFACE
-+ if test -z "`ip -o -f inet addr show $DEVICE`"; then
-+ message_n "`printf " %-9s (DHCP) " $DEVICE`"
-+ message no IP address yet... backgrounding.
-+ exit $R_DHCP_BG
-+ fi
- fi
- fi
-
|
[-]
[+]
|
Deleted |
sysconfig_ifup_dont_init_bonding_twice.190093.patch
^
|
@@ -1,11 +0,0 @@
---- scripts/ifup 2006-06-02 11:51:54.000000000 +0000
-+++ scripts/ifup 2006-12-10 10:40:37.000000000 +0000
-@@ -878,7 +878,7 @@
- # Prepare Bonding
- #
- if [ "$BONDING_MASTER" = yes ] ; then
-- if [ "$SCRIPTNAME" = ifup ] ; then
-+ if [ "$SCRIPTNAME" = ifup -a ! "$DHCP" = yes ] ; then
- if [ ! -x /sbin/ifenslave ] ; then
- logerror "Bonding: /sbin/ifenslave not found"
- exit $R_INTERNAL
|
[-]
[+]
|
Deleted |
sysconfig_ifup_set_bonding_options_twice.190377.patch
^
|
@@ -1,65 +0,0 @@
---- scripts/functions 2006-06-02 11:51:54.000000000 +0000
-+++ scripts/functions 2006-12-10 10:54:44.000000000 +0000
-@@ -151,8 +151,15 @@
- # Usage: load_bond $INTERFACE $BONDING_MODULE_OPTIONS
- # Module option 'max_bonds' will be ignored. Use one configuration file per
- # bonding interface instead.
-+# If first argument is '_no_fail_' then failures in setting interface options
-+# will not return an error.
- load_bond() {
-- local NIF OPT OPT_NAME OPT_VALUE IF=$1
-+ local NIF OPT OPT_NAME OPT_VALUE OLD_OPT_VALUE OLD_OPT_VALUE_2 IF NOFAIL
-+ if [ "$1" == _no_fail_ ] ; then
-+ NOFAIL=1
-+ shift
-+ fi
-+ IF=$1
- test -z "$IF" && return 0
- shift
- if [ -d /sys/class/net/$IF -a ! -d /sys/class/net/$IF/bonding ] ; then
-@@ -194,11 +201,31 @@
- echo "-$IF" > /sys/class/net/bonding_masters
- return 1 # or continue? I guess its better to fail completely
- fi
-- if ! echo "$OPT_VALUE" > /sys/class/net/$IF/bonding/$OPT_NAME ; then
-+ # Some options may only be changed if the interface is up and slaves are
-+ # already assigned. Others may only be changed if it is down. To avoid
-+ # unneccessary error messages or warnings we check first if the option
-+ # already has the specified value.
-+ # Special case for option 'mode': this sysfs attribute contains two
-+ # words. A string describing the mode and the corresponding number. We
-+ # have to compare both.
-+ read OLD_OPT_VALUE OLD_OPT_VALUE_2 < /sys/class/net/$IF/bonding/$OPT_NAME
-+ if [ "$OLD_OPT_VALUE" == "$OPT_VALUE" \
-+ -o \( "$OPT_NAME" == mode -a "$OLD_OPT_VALUE_2" == "$OPT_VALUE" \) \
-+ ] ; then
-+ info_mesg "Bonding interface '$IF':" \
-+ "option '$OPT_NAME' is already set to '$OPT_VALUE'"
-+ continue
-+ fi
-+ info_mesg "Bonding interface '$IF':" \
-+ "Setting option '$OPT_NAME' to '$OPT_VALUE'"
-+ if ! echo "$OPT_VALUE" > /sys/class/net/$IF/bonding/$OPT_NAME \
-+ 2>/dev/null ; then
- err_mesg "Option '$OPT_NAME' of interface '$IF' cannot be set to" \
- "'$OPT_VALUE'."
-+ # Should we continue? Its better to fail if not requested differently
-+ test "$NOFAIL" == 1 && continue
- echo "-$IF" > /sys/class/net/bonding_masters
-- return 1 # or continue? I guess its better to fail completely
-+ return 1
- fi
- done
- return 0
---- scripts/ifup 2006-12-10 10:40:37.000000000 +0000
-+++ scripts/ifup 2006-12-10 10:54:44.000000000 +0000
-@@ -919,6 +919,9 @@
- "correctly\n$MESSAGE"
- exit $R_ERROR
- fi
-+ # Some option have to be changed after ifenslave (e.g. primary)
-+ # Therefore we call load_bond() a second time
-+ load_bond $INTERFACE $BONDING_MODULE_OPTS
- fi
- fi
-
|
[-]
[+]
|
Deleted |
sysconfig_ifup_skip_type_801_ifaces.222529.patch
^
|
@@ -1,20 +0,0 @@
---- scripts/ifup 2007-01-12 15:55:57.000000000 +0000
-+++ scripts/ifup 2007-01-12 16:02:20.000000000 +0000
-@@ -203,6 +203,17 @@
-
-
- ######################################################################
-+# Test for wlan helper interfaces and skip these
-+#
-+case "`cat /sys/class/net/$INTERFACE/type 2>/dev/null`" in
-+ 801)
-+ message "interface '$INTERFACE' is a wlan helper interface. Exit"
-+ exit $R_SUCCESS
-+ ;;
-+esac
-+
-+
-+######################################################################
- # Now source the configuration file and check if we have an interface
- #
- if [ -n "$CONFIG" -a -r ifcfg-$CONFIG ] ; then
|
[-]
[+]
|
Deleted |
sysconfig_infiniband_bonding.fate-303388.patch
^
|
@@ -1,135 +0,0 @@
---- scripts/functions
-+++ scripts/functions 2008/01/31 16:52:05
-@@ -80,6 +80,57 @@
- echo ${octet[1]}.${octet[2]}.${octet[3]}.${octet[4]}
- }
-
-+create_ib_child_iface() {
-+ # e.g. ib0.8001
-+ IBIFACE=$1
-+
-+ IBPARENT=${IBIFACE%%\.*}
-+ IBCHILD=${IBIFACE#*\.}
-+
-+ # Check if the device name is ib0, ib1 etc.
-+ if [ "${IBPARENT:0:2}" != "ib" ] ; then
-+ return 1
-+ fi
-+ # Check if the devices does not contain a "."
-+ if [ "${IBCHILD}" == "${IBIFACE}" ] ; then
-+ return 1
-+ fi
-+ if [ -d "/sys/class/net/${IBPARENT}.${IBCHILD}" ] ; then
-+ return 0
-+ fi
-+ if [ -e "/sys/class/net/${IBPARENT}/create_child" ] ; then
-+ echo "0x${IBCHILD}" > "/sys/class/net/${IBPARENT}/create_child"
-+ ip link show dev "${IBPARENT}.${IBCHILD}" &>/dev/null
-+ else
-+ return 1
-+ fi
-+}
-+delete_ib_child_iface() {
-+ # e.g. ib0.8001
-+ IBIFACE=$1
-+
-+ IBPARENT=${IBIFACE%%\.*}
-+ IBCHILD=${IBIFACE#*\.}
-+
-+ # Check if the device name is ib0, ib1 etc.
-+ if [ "${IBPARENT:0:2}" != "ib" ] ; then
-+ return 1
-+ fi
-+ # Check if the devices does not contain a "."
-+ if [ "${IBCHILD}" == "${IBIFACE}" ] ; then
-+ return 1
-+ fi
-+ if [ ! -d "/sys/class/net/${IBPARENT}.${IBCHILD}" ] ; then
-+ return 0
-+ fi
-+ if [ -e "/sys/class/net/${IBPARENT}/delete_child" ] ; then
-+ echo "0x${IBCHILD}" > "/sys/class/net/${IBPARENT}/delete_child"
-+ [ -d "/sys/class/net/${IBPARENT}.${IBCHILD}" ] || return 0
-+ else
-+ return 1
-+ fi
-+}
-+
- is_iface_available () {
- test -z "$1" && return 1
- case $1 in
-@@ -87,6 +138,7 @@
- modem*|dsl*|ppp*) return 0 ;;
- vlan*) return 0 ;;
- sit*|gre*|ipip*) return 0 ;;
-+ ib*) return 0 ;;
- esac
- test "${SCRIPTNAME%%-*}" = ifdown -a "$MODE" = hotplug && return 0
- test "${SCRIPTNAME%%-*}" = ifup -a "$BONDING_MASTER" = yes && return 0
-@@ -512,11 +564,12 @@
- DEP_IFACES="$DEP_VLANS"
- fi
-
-- if [ -d "$BOND_PATH" ]; then
-- DEP_BONDS=`cd "$BOND_PATH"
-- grep -lws "Slave Interface: *$BASE_IFACE" *`
-- DEP_IFACES="$DEP_IFACES${DEP_BONDS:+ $DEP_BONDS}"
-- fi
-+ ## don't trigger down of bond interface when a slave goes down
-+ #if [ -d "$BOND_PATH" ]; then
-+ # DEP_BONDS=`cd "$BOND_PATH"
-+ # grep -lws "Slave Interface: *$BASE_IFACE" *`
-+ # DEP_IFACES="$DEP_IFACES${DEP_BONDS:+ $DEP_BONDS}"
-+ #fi
-
- if [ -z "$DEP_IFACES" ]; then
- return 1
---- scripts/ifup
-+++ scripts/ifup 2008/01/31 16:32:25
-@@ -919,7 +919,11 @@
- logerror "Could not get an interface for slave device '$BONDING_SLAVE'"
- fi
- # prepare only available slave devices
-- if [ -d /sys/class/net/$BSIFACE ] ; then
-+ if [ "${BSIFACE:0:2}" = "ib" ] ; then
-+ IBSLAVES="yes"
-+ create_ib_child_iface $BSIFACE
-+ fi
-+ if [ -d "/sys/class/net/$BSIFACE" ] ; then
- BSINTERFACES="$BSINTERFACES $BSIFACE"
- else
- logerror "Bonding Slave $BSIFACE is not available. Skipped."
-@@ -934,7 +938,14 @@
- ip link set $INTERFACE up 2>&1
- # fi
- # enslave available slave devices; if there is none -> hard break and log
-- MESSAGE=`/sbin/ifenslave $BONDING_OPTIONS $INTERFACE $BSINTERFACES 2>&1`
-+ if [ "X${IBSLAVES}" = "Xyes" ] ; then
-+ for BSINTERFACE in ${BSINTERFACES} ; do
-+ ip link set dev ${BSINTERFACE} down
-+ echo +${BSINTERFACE} > /sys/class/net/$INTERFACE/bonding/slaves
-+ done
-+ else
-+ MESSAGE=`/sbin/ifenslave $BONDING_OPTIONS $INTERFACE $BSINTERFACES 2>&1`
-+ fi
- if [ "$?" -gt 0 ]; then
- logerror "Bonding interface '$INTERFACE' could not be set up" \
- "correctly\n$MESSAGE"
-@@ -1213,6 +1224,17 @@
- # If this is an bonding master, remove it
- if [ "$BONDING_MASTER" = yes ] ; then
- remove_bond $INTERFACE
-+
-+ # and delete ib children we've created
-+ for BSVAR in ${!BONDING_SLAVE*} ; do
-+ BONDING_SLAVE=${!BSVAR}
-+ BSIFACE="`/sbin/getcfg-interface -- $BONDING_SLAVE 2>/dev/null`"
-+ if [ "${BSIFACE:0:2}" = "ib" ] ; then
-+ delete_ib_child_iface $BSIFACE
-+ fi
-+ done
-+ elif [ -e /sys/class/net/$INTERFACE/master/bonding/slaves ] ; then
-+ echo "-${INTERFACE}" > /sys/class/net/$INTERFACE/master/bonding/slaves
- fi
- retcode=0 # $?
- ;;
|
[-]
[+]
|
Deleted |
sysconfig_loopback_set_broadcast.357021.patch
^
|
@@ -1,16 +0,0 @@
---- scripts/ifup
-+++ scripts/ifup 2008/02/01 08:52:02
-@@ -1187,6 +1187,13 @@
- "there is another computer using that address."
- retcode=$R_NOTRUNNING
- else
-+ # workaround for lo interface autoconfigured while "ip link set up"
-+ # without an explicit broadcast address setting (bug #357021).
-+ case "$INTERFACE" in
-+ lo)
-+ ip addr del $IPADDR${PREFIXLEN:+/$PREFIXLEN} dev $INTERFACE &>/dev/null
-+ ;;
-+ esac
- MESSAGE=`\
- ip addr add dev $INTERFACE \
- "local" $IPADDR${PREFIXLEN:+/$PREFIXLEN} \
|
[-]
[+]
|
Deleted |
sysconfig_minor_output_cleanups.patch
^
|
@@ -1,43 +0,0 @@
---- scripts/ifup
-+++ scripts/ifup 2008/02/01 07:59:41
-@@ -1136,7 +1136,7 @@
-
- # Make sure we have ipv6 support or skip this address
- if [ "$ISv6" = "yes" ]; then
-- if ! sysctl net.ipv6 2>/dev/null; then
-+ if ! sysctl net.ipv6 &>/dev/null; then
- if ! modprobe net-pf-10 2>/dev/null; then
- logerror "Missing IPv6 support." \
- "Ommitting address $IPADDR."
---- scripts/ifup-802.1q
-+++ scripts/ifup-802.1q 2008/02/01 08:03:27
-@@ -104,7 +104,9 @@
- exit $R_INTERNAL
- fi
-
-- /usr/sbin/vconfig add $ETHERDEVICE $id >/dev/null
-+ if [ ! -d /sys/class/net/$INTERFACE ] ; then
-+ /usr/sbin/vconfig add $ETHERDEVICE $id >/dev/null
-+ fi
- ;;
- stop)
- if [ -d /sys/class/net/$INTERFACE ] ; then
---- scripts/ifup-bridge
-+++ scripts/ifup-bridge 2008/02/01 08:05:23
-@@ -149,14 +149,14 @@
- if [ $? -eq 0 ]; then
- MESSAGE=`brctl delbr "$INTERFACE"`
- if [ $? -ne 0 ]; then
-- logmessage "Error: failed to delete bridge $INTERFACE: $MESSAGE"
-+ logerror "Error: failed to delete bridge $INTERFACE: $MESSAGE"
- exit $R_STATUS
- fi
- for p in $BRIDGE_PORTS; do
- PORT_INTERFACE=`getcfg-interface $p`
- MESSAGE=`ip link set dev "$PORT_INTERFACE" down`
- if [ $? -ne 0 ]; then
-- logmessage "Warning: failed to bring $p down: $MESSAGE"
-+ info_mesg "Warning: failed to bring $p down: $MESSAGE"
- fi
- done
- fi
|
[-]
[+]
|
Deleted |
sysconfig_mount_parse_UUID.293887.patch
^
|
@@ -1,15 +0,0 @@
-Index: sysconfig-0.50.9/scripts/storage/mount.sh
-===================================================================
---- sysconfig-0.50.9.orig/scripts/storage/mount.sh
-+++ sysconfig-0.50.9/scripts/storage/mount.sh
-@@ -30,8 +30,9 @@ HOTPLUG="no"
- while read dn mp fs opts dump fsck x; do
- case $opts in
- *hotplug*)
-+ d=$(echo $dn | sed 's.UUID=./dev/disk/by-uuid/.g;s.LABEL=./dev/disk/by-label/.g')
- for n in $NODES; do
-- if [ "$n" == "$dn" ] ; then
-+ if [ "$n" == "$d" ] ; then
- HOTPLUG="yes"
- fi
- done
|
[-]
[+]
|
Deleted |
sysconfig_network_stop_unconditionally.291641.patch
^
|
@@ -1,12 +0,0 @@
---- scripts/network 2006-06-02 11:51:54.000000000 +0000
-+++ scripts/network 2008-01-16 17:41:55.000000000 +0000
-@@ -260,9 +260,6 @@
- stop_dhcdbd
- fi
- stop_nm_dispatcher
-- if ! netcontrol_running ; then
-- rc_exit
-- fi
- # else fall through to NetControl
- ;;
- try-restart)
|
[-]
[+]
|
Deleted |
sysconfig_network_wait_for_bridged_interfaces.193216.patch
^
|
@@ -1,35 +0,0 @@
---- doc/ifcfg-bridge.5 2005-12-09 07:52:53.000000000 +0000
-+++ doc/ifcfg-bridge.5 2006-12-10 11:28:32.000000000 +0000
-@@ -70,6 +70,13 @@
- where it just doesn't make sense, for example when this linux box is
- the only bridge on the LAN, or when you know that there are no loops in
- the topology.)
-+.TP
-+.B DHCLIENT_WAIT_AT_BOOT <time in seconds>
-+The scripts wait at least this time for a lease before dhcp client proceeds in
-+background. It is normally set in the
-+.I dhcp
-+configuration file. But since bridges need some time first to initialize it is
-+recommended to set it to 30 or higher only for this interface.
-
- .SH EXAMPLE
- Minimal example for a bridge interface on eth0 and eth1, the bridge interface itself
-@@ -82,6 +89,7 @@
- BRIDGE='yes'
- BRIDGE_PORTS='eth0 eth-id-11:de:ad:be:ef:99'
- BRIDGE_PORTPRIORITIES='50 20'
-+ DHCLIENT_WAIT_AT_BOOT=30
- .fi
-
- .SH ADDITIONAL INFORMATION
---- scripts/functions 2006-12-10 10:54:44.000000000 +0000
-+++ scripts/functions 2006-12-10 11:28:32.000000000 +0000
-@@ -261,7 +261,7 @@
- get_slaves () {
- local ret=1
- for v in BONDING_SLAVE ETHERDEVICE TUNNEL_DEVICE \
-- TUNNEL_LOCAL_INTERFACE; do
-+ TUNNEL_LOCAL_INTERFACE BRIDGE_PORTS; do
- get_variable $v $1
- for vv in `eval echo \$\{\!$v\*\}`; do
- if [ -n "${!vv}" ] ; then
|
[-]
[+]
|
Deleted |
sysconfig_prism54_wext.patch
^
|
@@ -1,13 +0,0 @@
-Index: sysconfig-0.50.9/scripts/ifup-wireless
-===================================================================
---- sysconfig-0.50.9.orig/scripts/ifup-wireless
-+++ sysconfig-0.50.9/scripts/ifup-wireless
-@@ -670,7 +670,7 @@ case $ACTION in
- PREFER_WPA_SUPPLICANT=no
- ;;
- prism54)
-- WPA_DRIVER=prism54
-+ WPA_DRIVER=wext
- PREFER_WPA_SUPPLICANT=no
- ;;
- ipw2200|ipw3945|hostap_*)
|
[-]
[+]
|
Deleted |
sysconfig_rcnetwork_mandatory_slaves.354471_1.patch
^
|
@@ -1,45 +0,0 @@
---- scripts/network
-+++ scripts/network 2008/01/23 11:57:39
-@@ -552,9 +552,16 @@
- done
- for d in $BONDING_IFACES $VLAN_IFACES $TUNNEL_IFACES $BRIDGE_IFACES; do
- if [ "$b" = "$d" ] ; then
-- b="`get_slaves $b`"
-+ slaves="`get_slaves $b`"
- test $? = 0 || continue 2
-- SLAVE_IFACES="$SLAVE_IFACES $b"
-+ for s in $slaves ; do
-+ for v in $SLAVE_IFACES $BONDING_IFACES \
-+ $VLAN_IFACES $DIALUP_IFACES \
-+ $TUNNEL_IFACES $BRIDGE_IFACES ; do
-+ [ "$v" = "$s" ] && continue 2
-+ done
-+ SLAVE_IFACES="$SLAVE_IFACES $s"
-+ done
- continue 2
- fi
- done
-@@ -566,8 +573,14 @@
- echo "Hint: you may set mandatory devices in" \
- "/etc/sysconfig/network/config"
- fi
-+ for s in $SLAVE_IFACES ; do
-+ for m in $MANDATORY_DEVICES ; do
-+ [ "$m" = "$s" ] && continue 2
-+ done
-+ MANDATORY_SLAVES="$MANDATORY_SLAVES $s"
-+ done
- fi
--MANDATORY_DEVICES="$MANDATORY_DEVICES __NSC__ $SLAVE_IFACES"
-+MANDATORY_DEVICES="$MANDATORY_DEVICES __NSC__ $MANDATORY_SLAVES"
- # Check for mandatory devices only when booting
- test "$MODE" = onboot || MANDATORY_DEVICES=""
-
-@@ -580,6 +593,7 @@
- debug "DIALUP_IFACES = $DIALUP_IFACES"
- debug "TUNNEL_IFACES = $TUNNEL_IFACES"
- debug "BRIDGE_IFACES = $BRIDGE_IFACES"
-+debug "SLAVE_IFACES = $SLAVE_IFACES"
- debug "MANDATORY_DEVICES = $MANDATORY_DEVICES"
- debug "SKIP = $SKIP"
-
|
[-]
[+]
|
Deleted |
sysconfig_rcnetwork_start_order.354471.patch
^
|
@@ -1,114 +0,0 @@
---- scripts/network
-+++ scripts/network 2008/01/21 14:46:53
-@@ -418,10 +418,18 @@
- # PHYSICAL_IFACES are interfaces to present physical devices, they will be
- # derived from AVAILABLE_IFACES
- #
-+# BONDING_IFACES are bonding interfaces derived from ifcfg-* files
-+#
-+# VLAN_IFACES are vlan (802.1q) interfaces derived from ifcfg-* files
-+#
- # DIALUP_IFACES are modemX, dslX, etc., they are derived from ifcfg-* files
- #
--# TUNNEL_IFACES are interfaces that do not fit into PHYSICAL and DIALUP and
--# are as well derived from ifcfg-* files
-+# BRIDGE_IFACES are bridge interfaces derived from ifcfg-* files
-+#
-+# TUNNEL_IFACES are interfaces that do not fit into PHYSICAL, BONDING,
-+# VLAN, DIALUP or BRIDGE, and are as well derived from
-+# ifcfg-* files
-+#
- #
- # PHYSICAL, DIALUP and TUNNEL are mutually exclusive. Their union contains
- # AVAILABLE and MANDATORY and all of them have to be set up when starting
-@@ -442,9 +450,18 @@
- eth*[0-9]|tr*[0-9]|wlan[0-9]|ath[0-9]|ip6tnl*[0-9]|mip6mnha*[0-9])
- continue
- ;;
-+ bond*[0-9])
-+ BONDING_IFACES="$BONDING_IFACES $b"
-+ ;;
-+ vlan*[0-9])
-+ VLAN_IFACES="$VLAN_IFACES $b"
-+ ;;
- *ppp*[0-9]|dsl*[0-9]|modem*[0-9])
- DIALUP_IFACES="$DIALUP_IFACES $b"
- ;;
-+ *br*[0-9])
-+ BRIDGE_IFACES="$BRIDGE_IFACES $b"
-+ ;;
- *[0-9])
- TUNNEL_IFACES="$TUNNEL_IFACES $b"
- ;;
-@@ -488,7 +505,7 @@
- fi
- ;;
- esac
-- for b in $DIALUP_IFACES $TUNNEL_IFACES; do
-+ for b in $BONDING_IFACES $VLAN_IFACES $DIALUP_IFACES $TUNNEL_IFACES $BRIDGE_IFACES; do
- if [ "$a" = "$b" ] ; then
- NOT_PHYSICAL_IFACES="$NOT_PHYSICAL_IFACES $a"
- continue 2
-@@ -533,11 +550,11 @@
- continue 2
- fi
- done
-- for d in $TUNNEL_IFACES; do
-+ for d in $BONDING_IFACES $VLAN_IFACES $TUNNEL_IFACES $BRIDGE_IFACES; do
- if [ "$b" = "$d" ] ; then
- b="`get_slaves $b`"
- test $? = 0 || continue 2
-- TUNNEL_SLAVES="$TUNNEL_SLAVES $b"
-+ SLAVE_IFACES="$SLAVE_IFACES $b"
- continue 2
- fi
- done
-@@ -550,7 +567,7 @@
- "/etc/sysconfig/network/config"
- fi
- fi
--MANDATORY_DEVICES="$MANDATORY_DEVICES __NSC__ $TUNNEL_SLAVES"
-+MANDATORY_DEVICES="$MANDATORY_DEVICES __NSC__ $SLAVE_IFACES"
- # Check for mandatory devices only when booting
- test "$MODE" = onboot || MANDATORY_DEVICES=""
-
-@@ -558,8 +575,11 @@
- debug "INTERFACE = $INTERFACE"
- debug "AVAILABLE_IFACES = $AVAILABLE_IFACES"
- debug "PHYSICAL_IFACES = $PHYSICAL_IFACES"
-+debug "BONDING_IFACES = $BONDING_IFACES"
-+debug "VLAN_IFACES = $VLAN_IFACES"
- debug "DIALUP_IFACES = $DIALUP_IFACES"
- debug "TUNNEL_IFACES = $TUNNEL_IFACES"
-+debug "BRIDGE_IFACES = $BRIDGE_IFACES"
- debug "MANDATORY_DEVICES = $MANDATORY_DEVICES"
- debug "SKIP = $SKIP"
-
-@@ -765,7 +785,7 @@
-
-
- if [ -z "$INTERFACE" ] ; then
-- for IFACE in $DIALUP_IFACES $TUNNEL_IFACES ; do
-+ for IFACE in $BONDING_IFACES $VLAN_IFACES $DIALUP_IFACES $TUNNEL_IFACES $BRIDGE_IFACES; do
- $FAKE ifup $CONFIG $IFACE -o rc $MODE
- RET=$?
- debug && printf " %-9s returned %s\n" $IFACE $RET
-@@ -822,7 +842,8 @@
- $FAKE ifdown-route noiface -o rc $MODE
- fi
-
-- for IFACE in ${INTERFACE:-$AVAILABLE_IFACES} ; do
-+ for IFACE in ${INTERFACE:-$BRIDGE_IFACES $TUNNEL_IFACES $DIALUP_IFACES $VLAN_IFACES $BONDING_IFACES $PHYSICAL_IFACES $AVAILABLE_IFACES} ; do
-+ test -d /sys/class/net/$IFACE || continue
- # printf " %-9s " $IFACE
- $FAKE ifdown $CONFIG $IFACE -o rc $MODE
- RET=$?
-@@ -901,7 +922,7 @@
- done
- debug getting MANDATORY_IFACES: FAILED=$FAILED
-
-- for IFACE in $AVAILABLE_IFACES $DIALUP_IFACES $TUNNEL_IFACES; do
-+ for IFACE in $AVAILABLE_IFACES $BONDING_IFACES $VLAN_IFACES $DIALUP_IFACES $TUNNEL_IFACES $BRIDGE_IFACES; do
- for MI in $MANDATORY_IFACES $TOCHECK_IFACES; do
- test "$IFACE" = "$MI" && continue 2
- done
|
[-]
[+]
|
Deleted |
sysconfig_rename-netiface_no_2digit_confusion.204964.patch
^
|
@@ -1,17 +0,0 @@
---- scripts/rename_netiface 2006-03-30 13:57:38.000000000 +0000
-+++ scripts/rename_netiface 2006-12-10 11:33:50.000000000 +0000
-@@ -55,12 +55,12 @@
- grep -qs "^[^#].*rename_netiface %k $NEWNAME\"" $RULE_FILE && return 1
- cat $USED_IFACE_FILE_STUB* \
- | grep -vs "$DEV_ID" \
-- | grep -q "^$NEWNAME" && return 1
-+ | grep -q "^$NEWNAME " && return 1
- echo $NEWNAME $DEV_ID >> $USED_IFACE_FILE
- usleep $((RANDOM%600+700))000
- cat $USED_IFACE_FILE_STUB* \
- | grep -vs "$DEV_ID" \
-- | grep -q "^$NEWNAME" && return 1
-+ | grep -q "^$NEWNAME " && return 1
- return 0
- }
-
|
[-]
[+]
|
Deleted |
sysconfig_wait_for_interface_and_time_change.346559.patch
^
|
@@ -1,24 +0,0 @@
---- scripts/network
-+++ scripts/network 2008/01/18 11:22:10
-@@ -381,9 +381,8 @@
- # be started before checking which interfaces are already available and might
- # still have to be set up because the were registered to early. Bug 39005)
- if [ "$ACTION" = start ] ; then
-- date +%s > $NETWORK_RUNFILE
--# # We need that later to find out if an interface was just registered
--# touch -d "`date -d "-20sec"`" $NETWORK_RUNFILE
-+ IFS=. read a b < /proc/uptime
-+ echo "$a" > $NETWORK_RUNFILE
- fi
-
- if [ -n "$TYPE" ] ; then
-@@ -726,7 +725,8 @@
- # If only the seperator remains we are done and thus remove it
- test "`echo $MANDATORY_DEVICES`" = __NSC__ && MANDATORY_DEVICES=
-
-- TTWAIT=$((`date +%s` - `cat $NETWORK_RUNFILE`))
-+ IFS=. read a b < /proc/uptime
-+ TTWAIT=$(($a - `cat $NETWORK_RUNFILE`))
- test $TTWAIT -gt $((WAIT_FOR_INTERFACES)) \
- -o -z "$MANDATORY_DEVICES" && break
-
|
[-]
[+]
|
Deleted |
sysconfig_wrong_usage_of_ps.326101.patch
^
|
@@ -1,46 +0,0 @@
---- scripts/functions
-+++ scripts/functions
-@@ -536,13 +536,13 @@
- retval=0
- test "$1" == "-q" && break
- echo $pid
-- done < <(ps ax | grep -s "[ /]$DHCLIENT\>.*\<$INTERFACE\>")
-+ done < <(ps axww | grep -s "[ /]$DHCLIENT\>.*\<$INTERFACE\>")
- return $retval
- }
-
- # returns 0 if ifup is currently working on this interface
- ifup_on_iface() {
-- ps ax | grep -qs "[i]fup.* $INTERFACE\>"
-+ ps axww | grep -qs "[i]fup.* $INTERFACE\>"
- }
-
- dhcp-interfaces() {
---- scripts/ifup-dhcp
-+++ scripts/ifup-dhcp
-@@ -34,25 +34,6 @@
- exit $R_USAGE
- }
-
--# returns 0 if there is a dhcp client running on this interface
--# prints pids of all dhcp clients on this interface
--# prints nothing if called with option '-q'
--# Usually it should not happen that more then one dhcpcd is running on one
--# interface, but it may happen. So better safe than sorry!
--dhcpc_on_iface() {
-- local pid line retval=1
-- while read pid line; do
-- retval=0
-- test "$1" == "-q" && break
-- echo $pid
-- done < <(ps ax | grep -s "[ /]$DHCLIENT\>.*\<$INTERFACE\>")
-- return $retval
--}
--
--ifup_on_iface() {
-- ps ax | grep -qs "[i]fup.* $INTERFACE\>"
--}
--
- ######################################################################
- # change the working direcory and source some common files
- #
|
|
Added |
ready
^
|
|
Changed |
sysconfig-0.71.11.tar.bz2
^
|
[-]
[+]
|
Deleted |
sysconfig_ovm_svcinfo.fate301838.network.xml
^
|
@@ -1,66 +0,0 @@
-<?xml version="1.0"?>
-<!--
- Copyright (c) 2006 Novell, Inc. All rights reserved.
-
-
-Service Description XML Document for network.
-
-This file should be placed in /usr/share/omc/svcinfo.d/
-
-Note: The name of the service is the name of this file without the .xml
-file extension.
- -->
-
-<serviceDescription version="1.0">
-
- <!-- Caption for display purposes -->
- <caption>Network</caption>
-
- <!-- Description of this service -->
- <description>
- Conifgure the network interfaces and set up routing
- </description>
-
-
- <!--
- The startCommand tag specifies the command line that will be
- invoked to start the service. The return code from this command
- must be as follows:
- 0 - success
- 1 - generic or unspecified error
- 2 - invalid or excess argument(s)
- 3 - unimplemented feature (e.g. "reload")
- 4 - user had insufficient privileges
- 5 - program is not installed
- 6 - program is not configured
- 7 - program is not running
- -->
- <startCommand>/sbin/rcnetwork start</startCommand>
-
- <!--
- The reStartCommand tag specifies the command line that will be
- invoked to restart the service. The return code from this command
- must be as specified in the startCommand tag.
- -->
- <reStartCommand>/sbin/rcnetwork restart</reStartCommand>
-
- <!--
- The stopCommand tag specifies the command line that will be
- invoked to stop the service. The return code from this command
- must be as specified in the startCommand tag.
- -->
- <stopCommand>/sbin/rcnetwork stop</stopCommand>
-
- <!--
- The statusCommand specifies the command line that can be run
- that will report on the status of the service. The return code
- from this command line should be as follows:
- 0 - service up and running
- 1 - service dead, but /var/run/ pid file exists
- 2 - service dead, but /var/lock/ lock file exists
- 3 - service not running (unused)
- 4 - service status unknown :-(
- -->
- <statusCommand>/sbin/rcnetwork status</statusCommand>
-
-</serviceDescription>
|